PDA

View Full Version : Need to upgrade to higher version? Managed custom action / registry



jdlwright
09-24-2012, 06:04 PM
Hi, I have an old Visual Studio setup project that uses a managed custom action to write to the registry. Worked great until Windows 8, upon which the custom action crashes unless .NET 3.5 is installed.

So, I am trying out IS Limited Edition, which is great, but doesn't support managed CAs, so I tried making it run a managed EXE (for the CA) - which didn't work because it didn't have permission to write to the registry.

2 questions;

1. Can I make the installer run the EXE with enough permission to write to the registry (win 7 and 8)?

2. If not, does IS Express support managed CAs and will they have permission to write to the registry?

Thanks - I've done as much research as my brain can handle as I try to juggle all my options!
Jim

hidenori
09-28-2012, 02:20 PM
We just released a new InstallShield prerequisite for .NET Framework 3.5 SP1:

Q210041: InstallShield Prerequisites for .NET Framework 3.5 SP1 on Windows 7 and Later, Windows Server 2008 R2 and Later (http://kb.flexerasoftware.com/selfservice/microsites/search.do?cmd=displayKC&docType=kc&externalId=Q210041&sliceId=)